library(fitdistrplus)

data = c(17.88, 28.92, 33.00, 41.52, 42.12, 45.60, 48.40, 51.84, 51.96, 54.12,55.56, 67.80,68.64, 68.64, 68.88, 84.12, 93.12, 98.64, 105.12, 105.84, 127.92, 128.04, 173.40)

fln <- fitdist(data, "lnorm")
bln <- bootdist(fln, bootmethod="param", niter=101)
fwn <- fitdist(data, "weibull")
bwn <- bootdist(fwn, bootmethod="param", niter=101)
fgn <- fitdist(data, "gengamma")
bgn <- bootdist(fwn, bootmethod="param", niter=101)



cdfcomp(list(fln,fwn),  xlim = c(-10, 250),main = NULL, fitcol= c(1,2), fitlty = c(2,2),  verticals = F, legendtext = c("Lognormal", "Weibull"))
q1 <- quantile(bln, probs = seq(0,1,length=101))
lines(q1$quantCI[1,],q1$probs,type="l", col = 1)
points(q1$quantCI[2,],q1$probs,type="l", col = 1)



q2 <- quantile(bwn, probs = seq(0,1,length=101))
points(q2$quantCI[1,],q2$probs,type="l", col = 2)
points(q2$quantCI[2,],q2$probs,type="l", col = 2)

