library(flexsurv)
library(RcmdrMisc)

data = c(17.88, 28.92, 33.00, 41.52, 42.12, 45.60, 48.40, 51.84, 51.96, 54.12,55.56, 67.80,68.64, 68.64, 68.88, 84.12, 93.12, 98.64, 105.12, 105.84, 127.92, 128.04, 173.40)
cen = rep(1,23)
fitw <- flexsurvreg(formula = Surv(data, cen) ~ 1, dist="weibull")$res
fitg <- flexsurvreg(formula = Surv(data, cen) ~ 1, dist="gengamma")$res
flexsurvreg(formula = Surv(data, cen) ~ 1, dist="gengamma.orig")$res
fitl <- flexsurvreg(formula = Surv(data, cen) ~ 1, dist="lnorm")$res
.x <- seq(0, 200, length.out=1000)

par(mfrow=c(1,2))
plotDistr(.x, dgengamma(.x, mu = fitg[1,1] , sigma = fitg[2,1] , fitg[3,1]), ylab = "", xlab = "", cex.axis=1.1)
par(new=TRUE)
plotDistr(.x,dweibull(.x, fitw[1,1], scale = fitw[2,1]), lty = 2,  axes=0, ylab = "", xlab = "")
legend("topright",c("GG","Weibull"), lty = c(1,2), merge = TRUE,cex=0.9)
par(new=TRUE)
hist(data, freq = FALSE, axes=0, main = NULL, cex.lab=1.1, cex.axis=1.1)

plotDistr(.x, dgengamma(.x, mu = fitg[1,1] , sigma = fitg[2,1] , fitg[3,1]), ylab = "", xlab = "", cex.axis=1.1)
par(new=TRUE)
plotDistr(.x,dlnorm(.x, meanlog = fitl[1,1], sdlog = fitl[2,1]), lty=2, axes=0, ylab = "", xlab = "")
par(new=TRUE)
hist(data, freq = FALSE, axes=0, main = NULL, cex.lab=1.1, cex.axis=1.1)
legend("topright",c("GG","Lognormal"), lty = c(1, 2), merge = TRUE,cex=0.9)


